use extism::{Context, Plugin};

fn main() {
    let wasm = include_bytes!("../extism_plugin.wasm");
    let context = Context::new();
    let mut plugin = Plugin::new(&context, wasm, false).unwrap();
    let result = plugin.call("count_vowels", "this is a test");
    println!("{:?}", result);
    // println!("{}", result.unwrap_err());
    let data = result.unwrap();
    println!("{}", String::from_utf8((&data).to_vec()).unwrap());
}
